Bug 1429410 - After applying filter the title is missing name of filter in Filtered by
Summary: After applying filter the title is missing name of filter in Filtered by
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:filter
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-06 10:29 UTC by Matouš Mojžíš
Modified: 2019-08-06 20:04 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:53 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Matouš Mojžíš 2017-03-06 10:29:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.3

How reproducible:
Always

Steps to Reproduce:
1. Create a filter
2. Apply it in advanced search menu
3.

Actual results:
In the title is filtered by "" without name of filter in "".

Expected results:


Additional info:

Comment 2 Hilda Stastna 2017-03-07 13:19:21 UTC
Matouš,

I cannot reproduce the bug according the steps you've written.
After creating a filter and applying it, there is "Filtered by custom search"
in the page which I consider right. Filter doesn't have any name until you name it and save it. But tell me if I'm wrong.

I can reproduce this bug only if I SAVE the filter in Advanced Search
before applying it. Only this is how I can see 'Filtered by ""'.

Is this right way to reproduce the bug and is this step about saving the filter just missing in the steps to reproduce above? Or am I doing something wrong?
I am not sure because saving filter is not necessary step before applying the filter.

Thank you for the answer.

Comment 3 Matouš Mojžíš 2017-03-07 13:58:49 UTC
Yes, sorry.
Filter has to be saved before applying.

Comment 4 Hilda Stastna 2017-03-07 15:08:16 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/610

Comment 5 Matouš Mojžíš 2017-04-06 17:23:30 UTC
Verified in 5.8.0.9. Name of filter is not missing anymore in the title.

Comment 7 errata-xmlrpc 2017-05-31 14:38:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.